%define name gwenrename
%define preversion beta3
%define version 1.1
%define release %mkrel 0.%{preversion}.1
%define qtdir   %{_prefix}/lib/qt3/%{_lib}

Name: 		%name
Version: 	%version
Release: 	%release
Summary: 	Series (batch) renaming tool
Source:  	%{name}-%{version}-%{preversion}.tar.gz
URL: 	        http://users.otenet.gr/~geosp/gwenrename/index.html
Group: 		File tools
License: 	GPL
BuildRoot: 	%_tmppath/%{name}-%{version}
BuildRequires:  kdelibs-devel 

%description
GwenRename is a series (batch) renaming tool. It was created as an external 
tool for GwenView, the image viewer for KDE, but it can be used from Konqueror
as well. As that, the files to be renamed are passed to it as command line 
parameters, through the service menus mechanism. It supports EXIF data 
extraction, file's timestamping and use of profiles.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %name-%{version}-%{preversion}

%build
QTDIR=%{qtdir}
export QTDIR
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#icons for rpmlint
mkdir -p %buildroot/{%_liconsdir,%_miconsdir,%_iconsdir}
ln -s %_datadir/icons/hicolor/64x64/apps/%name.png %buildroot/%_liconsdir
ln -s %_datadir/icons/hicolor/32x32/apps/%name.png %buildroot/%_iconsdir
ln -s %_datadir/icons/hicolor/16x16/apps/%name.png %buildroot/%_miconsdir


%find_lang %name

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files -f %name.lang
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog TODO INSTALL README
%_bindir/%name
%_datadir/apps/gwenview/tools/%name.desktop
%_datadir/apps/konqueror/servicemenus/konqgwenrename.desktop
%_datadir/applnk/Utilities/%name.desktop
%_datadir/apps/%name/*
%_datadir/icons/hicolor/16x16/apps/*
%_datadir/icons/hicolor/22x22/apps/*
%_datadir/icons/hicolor/32x32/apps/*
%_datadir/icons/hicolor/48x48/apps/*
%_datadir/icons/hicolor/64x64/apps/*
%_datadir/icons/locolor/16x16/apps/*
%_datadir/icons/locolor/32x32/apps/*
%_iconsdir/%{name}.png
%_miconsdir/%{name}.png
%_liconsdir/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 1.1-0.beta3.1mdv2009.0
+ Revision: 218421
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.1-0.beta3.1mdv2008.1
+ Revision: 126549
- kill re-definition of %%buildroot on Pixel's request

* Fri Sep 07 2007 Angelo Naselli <anaselli@mandriva.org> 1.1-0.beta3.1mdv2008.0
+ Revision: 81870
- new version 1.1-beta3
- Import gwenrename



* Sun Aug 27 2006 Angelo Naselli <anaselli@mandriva.org> 1.0.2-2mdv2007.0
- fix bug #24733

* Sun Dec 25 2005 Angelo Naselli <anaselli@mandriva.org> 1.0.2-1mdk
- Mandriva package - Merry Christmas to Vincent Panel :)
